> For the complete documentation index, see [llms.txt](https://docs.lighter.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lighter.xyz/api/explorer-api/account/get-account-by-address.md).

# Get Account by Address

Get Account Logs. Account path parameters accept an L1 address or an account index.

```json
{"openapi":"3.0.0","info":{"title":"Lighter API","version":"1.0.0"},"tags":[{"name":"explorer-account"}],"servers":[{"url":"https://explorer.elliot.ai/api","description":"Lighter mainnet"},{"url":"https://explorerapi.testnet.lighter.xyz/api","description":"Lighter testnet"},{"url":"https://explorerapi.rh.lighter.xyz/api","description":"Lighter on Robinhood Chain mainnet"},{"url":"https://explorerapi.rh-testnet.lighter.xyz/api","description":"Lighter on Robinhood Chain testnet"}],"paths":{"/accounts/{param}/logs":{"get":{"tags":["explorer-account"],"summary":"Get Account by Address","parameters":[{"description":"L1 Address or AccountIndex","name":"param","in":"path","required":true,"schema":{"type":"string"}},{"description":"Log Types","name":"pub_data_type","in":"query","style":"form","explode":false,"schema":{"type":"array","items":{"enum":["Empty","L1Deposit","L1CreateMarket","L1UpdateMarket","L2CreateSubAccount","L2CreatePublicPool","L2UpdatePublicPool","L2MintShares","L2UpdateLeverage","L2UpdateMargin","L2Transfer","Withdraw","Trade","TradeWithFunding","LiquidationTrade","LiquidationTradeWithFunding","BurnedShares","ExitPosition","ExitPositionWithFunding","Deleverage","DeleverageWithFunding","L1RegisterAsset","L1UpdateAsset","L1CreateSpotMarket","L1UpdateSpotMarket","WithdrawV2","L1CreateMarketV2","L1DepositV2","L1UpdateMarketV2","L2TransferV2","L2CreateStakingPool","L2UpdateStakingPool","L2StakeAssets","UnstakeAssets","L1SetSystemConfig","ExecutedPendingUnlock","L2UpdateAccountConfig","L2UpdateMarketConfig","InternalLiquidateSpot","L2UpdateAssetConfig","L2UpdateAccountAssetConfig"],"type":"string"}}},{"description":"Limit","name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100}},{"description":"Offset","name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/response.Tx"}}}}},"400":{"description":"Invalid request parameters.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Requested resource was not found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}},"description":"Get Account Logs. Account path parameters accept an L1 address or an account index."}}},"components":{"schemas":{"response.Tx":{"type":"object","properties":{"hash":{"type":"string"},"pubdata":{"$ref":"#/components/schemas/response.PubData"},"pubdata_type":{"$ref":"#/components/schemas/response.PubDataType"},"status":{"allOf":[{"$ref":"#/components/schemas/response.BatchStatus"}],"nullable":true},"time":{"type":"string"},"tx_type":{"$ref":"#/components/schemas/response.TxType"}},"required":["hash","pubdata","pubdata_type","status","time","tx_type"],"title":"response.Tx"},"response.PubData":{"type":"object","properties":{"burned_shares_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.BurnedSharesPubData"}],"nullable":true},"deleverage_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.DeleveragePubData"}],"nullable":true},"deleverage_pubdata_with_funding":{"allOf":[{"$ref":"#/components/schemas/response.DeleveragePubDataWithFunding"}],"nullable":true},"executed_pending_unlock_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.ExecutedPendingUnlockPubData"}],"nullable":true},"exit_position_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.ExitPositionPubData"}],"nullable":true},"exit_position_pubdata_with_funding":{"allOf":[{"$ref":"#/components/schemas/response.ExitPositionPubDataWithFunding"}],"nullable":true},"l1_create_market_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L1CreateMarketPubData"}],"nullable":true},"l1_create_market_pubdata_v2":{"allOf":[{"$ref":"#/components/schemas/response.L1CreateMarketPubDataV2"}],"nullable":true},"l1_create_spot_market_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L1CreateSpotMarketPubData"}],"nullable":true},"l1_deposit_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L1DepositPubData"}],"nullable":true},"l1_deposit_pubdata_v2":{"allOf":[{"$ref":"#/components/schemas/response.L1DepositPubDataV2"}],"nullable":true},"l1_register_asset_pubdata":{"allOf":[{"$ref":"#/components/schemas/pubdata.L1RegisterAsset"}],"nullable":true},"l1_set_system_config_pubdata":{"allOf":[{"$ref":"#/components/schemas/pubdata.L1SetSystemConfig"}],"nullable":true},"l1_update_asset_pubdata":{"allOf":[{"$ref":"#/components/schemas/pubdata.L1UpdateAsset"}],"nullable":true},"l1_update_market_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L1UpdateMarketPubData"}],"nullable":true},"l1_update_spot_market_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L1UpdateSpotMarketPubData"}],"nullable":true},"l2_create_public_pool_pubdata":{"allOf":[{"$ref":"#/components/schemas/pubdata.L2CreatePublicPool"}],"nullable":true},"l2_create_staking_pool_pubdata":{"allOf":[{"$ref":"#/components/schemas/pubdata.L2CreateStakingPool"}],"nullable":true},"l2_create_sub_account_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L2CreateSubAccountPubData"}],"nullable":true},"l2_mint_shares_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L2MintSharesPubData"}],"nullable":true},"l2_stake_assets_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L2StakeAssetsPubData"}],"nullable":true},"l2_transfer_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L2TransferPubData"}],"nullable":true},"l2_transfer_pubdata_v2":{"allOf":[{"$ref":"#/components/schemas/response.L2TransferPubDataV2"}],"nullable":true},"l2_update_account_asset_config_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L2UpdateAccountAssetConfigPubData"}],"nullable":true},"l2_update_account_config_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L2UpdateAccountConfigPubData"}],"nullable":true},"l2_update_asset_config_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L2UpdateAssetConfigPubData"}],"nullable":true},"l2_update_leverage_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L2UpdateLeveragePubData"}],"nullable":true},"l2_update_margin_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.L2UpdateMarginPubData"}],"nullable":true},"l2_update_public_pool_pubdata":{"allOf":[{"$ref":"#/components/schemas/pubdata.L2UpdatePublicPool"}],"nullable":true},"trade_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.TradePubData"}],"nullable":true},"trade_pubdata_with_funding":{"allOf":[{"$ref":"#/components/schemas/response.TradePubDataWithFunding"}],"nullable":true},"unstake_assets_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.UnstakeAssetsPubData"}],"nullable":true},"withdraw_pubdata":{"allOf":[{"$ref":"#/components/schemas/response.WithdrawPubData"}],"nullable":true},"withdraw_pubdata_v2":{"allOf":[{"$ref":"#/components/schemas/response.WithdrawPubDataV2"}],"nullable":true}},"title":"response.PubData","description":"Payload members are alternatives selected by pub_data_type; only the matching member is present. Some PubDataType values (LiquidationTrade, LiquidationTradeWithFunding, L2UpdateStakingPool, L1UpdateMarketV2 and L2UpdateMarketConfig) do not expose a dedicated payload member."},"response.BurnedSharesPubData":{"type":"object","properties":{"account_index":{"type":"string"},"operator_fee_share_amount":{"type":"string"},"public_pool_index":{"type":"integer"},"shares_to_burn":{"type":"string"},"shares_to_burn_usdc":{"type":"string"}},"required":["account_index","operator_fee_share_amount","public_pool_index","shares_to_burn","shares_to_burn_usdc"],"title":"response.BurnedSharesPubData"},"response.DeleveragePubData":{"type":"object","properties":{"bankrupt_account_index":{"type":"string"},"deleverager_account_index":{"type":"string"},"is_taker_ask":{"type":"integer"},"market_index":{"type":"integer"},"quote":{"type":"string"},"size":{"type":"string"}},"required":["bankrupt_account_index","deleverager_account_index","is_taker_ask","market_index","quote","size"],"title":"response.DeleveragePubData"},"response.DeleveragePubDataWithFunding":{"type":"object","properties":{"bankrupt_account_index":{"type":"string"},"deleverager_account_index":{"type":"string"},"funding_rate_prefix_sum":{"description":"Cumulative funding rate prefix sum at execution.","type":"integer"},"is_taker_ask":{"type":"integer"},"market_index":{"type":"integer"},"quote":{"type":"string"},"size":{"type":"string"}},"required":["bankrupt_account_index","deleverager_account_index","funding_rate_prefix_sum","is_taker_ask","market_index","quote","size"],"title":"response.DeleveragePubDataWithFunding"},"response.ExecutedPendingUnlockPubData":{"type":"object","properties":{"account_index":{"type":"string"},"amount":{"type":"string"},"asset_symbol":{"type":"string"}},"required":["account_index","amount","asset_symbol"],"title":"response.ExecutedPendingUnlockPubData"},"response.ExitPositionPubData":{"type":"object","properties":{"account_index":{"type":"string"},"market_index":{"type":"integer"},"settlement_price":{"type":"string"}},"required":["account_index","market_index","settlement_price"],"title":"response.ExitPositionPubData"},"response.ExitPositionPubDataWithFunding":{"type":"object","properties":{"account_index":{"type":"string"},"funding_rate_prefix_sum":{"description":"Cumulative funding rate prefix sum at execution.","type":"integer"},"market_index":{"type":"integer"},"settlement_price":{"type":"string"}},"required":["account_index","funding_rate_prefix_sum","market_index","settlement_price"],"title":"response.ExitPositionPubDataWithFunding"},"response.L1CreateMarketPubData":{"type":"object","properties":{"close_out_margin_fraction":{"type":"integer"},"default_initial_margin_fraction":{"type":"integer"},"interest_rate":{"type":"integer"},"liquidation_fee":{"type":"integer"},"maintenance_margin_fraction":{"type":"integer"},"maker_fee":{"type":"integer"},"market_index":{"type":"integer"},"min_base_amount":{"type":"integer"},"min_initial_margin_fraction":{"type":"integer"},"min_quote_amount":{"type":"integer"},"quote_multiplier":{"type":"integer"},"taker_fee":{"type":"integer"}},"required":["close_out_margin_fraction","default_initial_margin_fraction","interest_rate","liquidation_fee","maintenance_margin_fraction","maker_fee","market_index","min_base_amount","min_initial_margin_fraction","min_quote_amount","quote_multiplier","taker_fee"],"title":"response.L1CreateMarketPubData"},"response.L1CreateMarketPubDataV2":{"type":"object","properties":{"close_out_margin_fraction":{"type":"integer"},"default_initial_margin_fraction":{"type":"integer"},"funding_clamp_big":{"type":"integer"},"funding_clamp_small":{"type":"integer"},"interest_rate":{"type":"integer"},"liquidation_fee":{"type":"integer"},"maintenance_margin_fraction":{"type":"integer"},"maker_fee":{"type":"integer"},"market_index":{"type":"integer"},"min_base_amount":{"type":"integer"},"min_initial_margin_fraction":{"type":"integer"},"min_quote_amount":{"type":"integer"},"open_interest_limit":{"type":"integer"},"order_quote_limit":{"type":"integer"},"quote_multiplier":{"type":"integer"},"taker_fee":{"type":"integer"}},"required":["close_out_margin_fraction","default_initial_margin_fraction","funding_clamp_big","funding_clamp_small","interest_rate","liquidation_fee","maintenance_margin_fraction","maker_fee","market_index","min_base_amount","min_initial_margin_fraction","min_quote_amount","open_interest_limit","order_quote_limit","quote_multiplier","taker_fee"],"title":"response.L1CreateMarketPubDataV2"},"response.L1CreateSpotMarketPubData":{"type":"object","properties":{"base_asset_id":{"type":"integer"},"maker_fee":{"type":"integer"},"market_index":{"type":"integer"},"min_base_amount":{"type":"integer"},"min_quote_amount":{"type":"integer"},"order_quote_limit":{"type":"integer"},"quote_asset_id":{"type":"integer"},"quote_extension_multiplier":{"type":"integer"},"size_extension_multiplier":{"type":"integer"},"taker_fee":{"type":"integer"}},"required":["base_asset_id","maker_fee","market_index","min_base_amount","min_quote_amount","order_quote_limit","quote_asset_id","quote_extension_multiplier","size_extension_multiplier","taker_fee"],"title":"response.L1CreateSpotMarketPubData"},"response.L1DepositPubData":{"type":"object","properties":{"account_index":{"type":"string"},"l1_address":{"type":"string"},"usdc_amount":{"type":"string"}},"required":["account_index","l1_address","usdc_amount"],"title":"response.L1DepositPubData"},"response.L1DepositPubDataV2":{"type":"object","properties":{"accepted_amount":{"type":"string"},"account_index":{"type":"string"},"asset_index":{"type":"string"},"l1_address":{"type":"string"},"route_type":{"type":"string"}},"required":["accepted_amount","account_index","asset_index","l1_address","route_type"],"title":"response.L1DepositPubDataV2"},"pubdata.L1RegisterAsset":{"type":"object","properties":{"asset_index":{"type":"integer"},"decimals":{"type":"integer"},"extension_multiplier":{"type":"integer"},"index_price_divider":{"type":"integer"},"l1_address":{"type":"string"},"l1_decimals":{"type":"integer"},"liquidation_factor":{"type":"integer"},"liquidation_fee":{"type":"integer"},"liquidation_threshold":{"type":"integer"},"loan_to_value":{"type":"integer"},"margin_index":{"type":"integer"},"margin_mode":{"type":"integer"},"min_transfer_amount":{"type":"integer"},"min_withdrawal_amount":{"type":"integer"},"price_decimals":{"type":"integer"},"symbol":{"type":"string"},"tick_size":{"type":"string"}},"required":["asset_index","decimals","extension_multiplier","index_price_divider","l1_address","l1_decimals","liquidation_factor","liquidation_fee","liquidation_threshold","loan_to_value","margin_index","margin_mode","min_transfer_amount","min_withdrawal_amount","price_decimals","symbol","tick_size"],"title":"pubdata.L1RegisterAsset"},"pubdata.L1SetSystemConfig":{"type":"object","properties":{"liquidity_pool_cooldown_period":{"type":"integer"},"liquidity_pool_index":{"type":"integer"},"max_integrator_perps_maker_fee":{"type":"integer"},"max_integrator_perps_taker_fee":{"type":"integer"},"max_integrator_spot_maker_fee":{"type":"integer"},"max_integrator_spot_taker_fee":{"type":"integer"},"staking_pool_index":{"type":"integer"},"staking_pool_lockup_period":{"type":"integer"}},"required":["liquidity_pool_cooldown_period","liquidity_pool_index","max_integrator_perps_maker_fee","max_integrator_perps_taker_fee","max_integrator_spot_maker_fee","max_integrator_spot_taker_fee","staking_pool_index","staking_pool_lockup_period"],"title":"pubdata.L1SetSystemConfig"},"pubdata.L1UpdateAsset":{"type":"object","properties":{"asset_index":{"type":"integer"},"index_price_divider":{"type":"integer"},"liquidation_factor":{"type":"integer"},"liquidation_fee":{"type":"integer"},"liquidation_threshold":{"type":"integer"},"loan_to_value":{"type":"integer"},"margin_index":{"type":"integer"},"margin_mode":{"type":"integer"},"min_transfer_amount":{"type":"integer"},"min_withdrawal_amount":{"type":"integer"}},"required":["asset_index","index_price_divider","liquidation_factor","liquidation_fee","liquidation_threshold","loan_to_value","margin_index","margin_mode","min_transfer_amount","min_withdrawal_amount"],"title":"pubdata.L1UpdateAsset"},"response.L1UpdateMarketPubData":{"type":"object","properties":{"close_out_margin_fraction":{"type":"integer"},"default_initial_margin_fraction":{"type":"integer"},"interest_rate":{"type":"integer"},"liquidation_fee":{"type":"integer"},"maintenance_margin_fraction":{"type":"integer"},"maker_fee":{"type":"integer"},"market_index":{"type":"integer"},"min_base_amount":{"type":"integer"},"min_initial_margin_fraction":{"type":"integer"},"min_quote_amount":{"type":"integer"},"status":{"type":"integer"},"taker_fee":{"type":"integer"}},"required":["close_out_margin_fraction","default_initial_margin_fraction","interest_rate","liquidation_fee","maintenance_margin_fraction","maker_fee","market_index","min_base_amount","min_initial_margin_fraction","min_quote_amount","status","taker_fee"],"title":"response.L1UpdateMarketPubData"},"response.L1UpdateSpotMarketPubData":{"type":"object","properties":{"maker_fee":{"type":"integer"},"market_index":{"type":"integer"},"min_base_amount":{"type":"integer"},"min_quote_amount":{"type":"integer"},"order_quote_limit":{"type":"integer"},"status":{"type":"integer"},"taker_fee":{"type":"integer"}},"required":["maker_fee","market_index","min_base_amount","min_quote_amount","order_quote_limit","status","taker_fee"],"title":"response.L1UpdateSpotMarketPubData"},"pubdata.L2CreatePublicPool":{"type":"object","properties":{"account_index":{"type":"integer"},"initial_total_shares":{"type":"integer"},"min_operator_share_rate":{"type":"integer"},"operator_fee":{"type":"integer"},"public_pool_index":{"type":"integer"}},"required":["account_index","initial_total_shares","min_operator_share_rate","operator_fee","public_pool_index"],"title":"pubdata.L2CreatePublicPool"},"pubdata.L2CreateStakingPool":{"type":"object","properties":{"account_index":{"type":"integer"},"initial_total_shares":{"type":"integer"},"min_operator_share_rate":{"type":"integer"},"staking_pool_index":{"type":"integer"}},"required":["account_index","initial_total_shares","min_operator_share_rate","staking_pool_index"],"title":"pubdata.L2CreateStakingPool"},"response.L2CreateSubAccountPubData":{"type":"object","properties":{"account_index":{"type":"string"},"subAccount_index":{"type":"string"}},"required":["account_index","subAccount_index"],"title":"response.L2CreateSubAccountPubData"},"response.L2MintSharesPubData":{"type":"object","properties":{"account_index":{"type":"string"},"public_pool_index":{"type":"integer"},"share_amount":{"type":"string"},"usdc_amount":{"type":"string"}},"required":["account_index","public_pool_index","share_amount","usdc_amount"],"title":"response.L2MintSharesPubData"},"response.L2StakeAssetsPubData":{"type":"object","properties":{"account_index":{"type":"string"},"lit_amount":{"type":"string"},"share_amount":{"type":"string"},"staking_pool_index":{"type":"integer"}},"required":["account_index","lit_amount","share_amount","staking_pool_index"],"title":"response.L2StakeAssetsPubData"},"response.L2TransferPubData":{"type":"object","properties":{"from_account_index":{"type":"string"},"to_account_index":{"type":"string"},"usdc_amount":{"type":"string"}},"required":["from_account_index","to_account_index","usdc_amount"],"title":"response.L2TransferPubData"},"response.L2TransferPubDataV2":{"type":"object","properties":{"amount":{"type":"string"},"asset_index":{"type":"string"},"fee_account_index":{"type":"string"},"from_account_index":{"type":"string"},"from_route_type":{"type":"string"},"to_account_index":{"type":"string"},"to_route_type":{"type":"string"},"usdc_fee":{"type":"string"}},"required":["amount","asset_index","fee_account_index","from_account_index","from_route_type","to_account_index","to_route_type","usdc_fee"],"title":"response.L2TransferPubDataV2"},"response.L2UpdateAccountAssetConfigPubData":{"type":"object","properties":{"account_index":{"type":"string"},"asset_index":{"type":"integer"},"asset_margin_mode":{"type":"integer"}},"required":["account_index","asset_index","asset_margin_mode"],"title":"response.L2UpdateAccountAssetConfigPubData"},"response.L2UpdateAccountConfigPubData":{"type":"object","properties":{"account_index":{"type":"integer"},"account_trading_mode":{"type":"integer"},"asset_amounts":{"type":"array","items":{"$ref":"#/components/schemas/response.UnifiedAsset"}}},"required":["account_index","account_trading_mode","asset_amounts"],"title":"response.L2UpdateAccountConfigPubData"},"response.UnifiedAsset":{"type":"object","properties":{"asset_index":{"type":"integer"},"moved_asset_amount":{"type":"string"}},"required":["asset_index","moved_asset_amount"],"title":"response.UnifiedAsset"},"response.L2UpdateAssetConfigPubData":{"type":"object","properties":{"asset_index":{"type":"integer"},"global_supply_cap":{"type":"string"},"user_supply_cap":{"type":"string"}},"required":["asset_index","global_supply_cap","user_supply_cap"],"title":"response.L2UpdateAssetConfigPubData"},"response.L2UpdateLeveragePubData":{"type":"object","properties":{"account_index":{"type":"string"},"initial_margin_fraction":{"type":"integer"},"margin_mode":{"type":"integer"},"market_index":{"type":"integer"}},"required":["account_index","initial_margin_fraction","margin_mode","market_index"],"title":"response.L2UpdateLeveragePubData"},"response.L2UpdateMarginPubData":{"type":"object","properties":{"account_index":{"type":"string"},"direction":{"type":"integer"},"market_index":{"type":"integer"},"usdc_amount":{"type":"string"}},"required":["account_index","direction","market_index","usdc_amount"],"title":"response.L2UpdateMarginPubData"},"pubdata.L2UpdatePublicPool":{"type":"object","properties":{"min_operator_share_rate":{"type":"integer"},"operator_fee":{"type":"integer"},"public_pool_index":{"type":"integer"},"status":{"type":"integer"}},"required":["min_operator_share_rate","operator_fee","public_pool_index","status"],"title":"pubdata.L2UpdatePublicPool"},"response.TradePubData":{"type":"object","properties":{"fee_account_index":{"type":"string"},"integrator_maker_fee":{"type":"integer"},"integrator_maker_fee_collector_index":{"type":"string"},"integrator_taker_fee":{"type":"integer"},"integrator_taker_fee_collector_index":{"type":"string"},"is_taker_ask":{"type":"integer"},"maker_account_index":{"type":"string"},"maker_fee":{"type":"integer"},"market_index":{"type":"integer"},"price":{"type":"string"},"size":{"type":"string"},"taker_account_index":{"type":"string"},"taker_fee":{"type":"integer"},"trade_type":{"type":"integer"}},"required":["fee_account_index","integrator_maker_fee","integrator_maker_fee_collector_index","integrator_taker_fee","integrator_taker_fee_collector_index","is_taker_ask","maker_account_index","maker_fee","market_index","price","size","taker_account_index","taker_fee","trade_type"],"title":"response.TradePubData"},"response.TradePubDataWithFunding":{"type":"object","properties":{"fee_account_index":{"type":"string"},"funding_rate_prefix_sum":{"type":"integer"},"integrator_maker_fee":{"type":"integer"},"integrator_maker_fee_collector_index":{"type":"string"},"integrator_taker_fee":{"type":"integer"},"integrator_taker_fee_collector_index":{"type":"string"},"is_taker_ask":{"type":"integer"},"maker_account_index":{"type":"string"},"maker_fee":{"type":"integer"},"market_index":{"type":"integer"},"price":{"type":"string"},"size":{"type":"string"},"taker_account_index":{"type":"string"},"taker_fee":{"type":"integer"},"trade_type":{"type":"integer"}},"required":["fee_account_index","funding_rate_prefix_sum","integrator_maker_fee","integrator_maker_fee_collector_index","integrator_taker_fee","integrator_taker_fee_collector_index","is_taker_ask","maker_account_index","maker_fee","market_index","price","size","taker_account_index","taker_fee","trade_type"],"title":"response.TradePubDataWithFunding"},"response.UnstakeAssetsPubData":{"type":"object","properties":{"account_index":{"type":"string"},"lit_amount":{"type":"string"},"share_amount":{"type":"string"},"staking_pool_index":{"type":"integer"}},"required":["account_index","lit_amount","share_amount","staking_pool_index"],"title":"response.UnstakeAssetsPubData"},"response.WithdrawPubData":{"type":"object","properties":{"from_account_index":{"type":"string"},"usdc_amount":{"type":"string"}},"required":["from_account_index","usdc_amount"],"title":"response.WithdrawPubData"},"response.WithdrawPubDataV2":{"type":"object","properties":{"amount":{"type":"string"},"asset_index":{"type":"string"},"from_account_index":{"type":"string"},"route_type":{"type":"string"}},"required":["amount","asset_index","from_account_index","route_type"],"title":"response.WithdrawPubDataV2"},"response.PubDataType":{"type":"string","enum":["Empty","L1Deposit","L1CreateMarket","L1UpdateMarket","L2CreateSubAccount","L2CreatePublicPool","L2UpdatePublicPool","L2MintShares","L2UpdateLeverage","L2UpdateMargin","L2Transfer","Withdraw","Trade","TradeWithFunding","LiquidationTrade","LiquidationTradeWithFunding","BurnedShares","ExitPosition","ExitPositionWithFunding","Deleverage","DeleverageWithFunding","L1RegisterAsset","L1UpdateAsset","L1CreateSpotMarket","L1UpdateSpotMarket","WithdrawV2","L1CreateMarketV2","L1DepositV2","L1UpdateMarketV2","L2TransferV2","L2CreateStakingPool","L2UpdateStakingPool","L2StakeAssets","UnstakeAssets","L1SetSystemConfig","ExecutedPendingUnlock","L2UpdateAccountConfig","L2UpdateMarketConfig","InternalLiquidateSpot","L2UpdateAssetConfig","L2UpdateAccountAssetConfig"],"title":"response.PubDataType"},"response.BatchStatus":{"type":"string","enum":["nothing_to_execute","committed","verified","executed"],"title":"response.BatchStatus"},"response.TxType":{"type":"string","enum":["Empty","L1Deposit","L1ChangePubKey","L1CreateMarket","L1UpdateMarket","L1CancelAllOrders","L1Withdraw","L1CreateOrder","L2ChangePubKey","L2CreateSubAccount","L2CreatePublicPool","L2UpdatePublicPool","L2Transfer","L2Withdraw","L2CreateOrder","L2CancelOrder","L2CancelAllOrders","L2ModifyOrder","L2MintShares","L2BurnShares","L2UpdateLeverage","InternalClaimOrder","InternalCancelOrder","InternalDeleverage","InternalExitPosition","InternalCancelAllOrders","InternalLiquidatePosition","InternalCreateOrder","L2CreateGroupedOrders","L2UpdateMargin","L1BurnShares","L1RegisterAsset","L1UpdateAsset","L2CreateStakingPool","L2StakeAssets","L2UnstakeAssets","L1UnstakeAssets","L1SetSystemConfig","InternalPendingUnlock","L2ForceBurnShares","L2UpdateAccountConfig","L2StrategyTransfer","L2UpdateMarketConfig","InternalTransfer","L2ApproveIntegrator","L2UpdateAccountAssetConfig","InternalLiquidateSpot","L2UpdateAssetConfig"],"title":"response.TxType"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lighter.xyz/api/explorer-api/account/get-account-by-address.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
